[gnome-disk-utility] Stop using gnome-common



commit efe17e27978eb7140c6514cb2191d3ecc4dedce6
Author: Michael Catanzaro <mcatanzaro gnome org>
Date:   Sat Aug 29 15:35:18 2015 -0500

    Stop using gnome-common

 Makefile.am                        |    2 -
 autogen.sh                         |   42 +++++++++++++++++++++++++++--------
 configure.ac                       |   25 +++++++++++++-------
 src/disk-image-mounter/Makefile.am |    4 +++
 src/disks/Makefile.am              |    4 +++
 src/libgdu/Makefile.am             |    4 +++
 6 files changed, 60 insertions(+), 21 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index b873808..2099082 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -2,8 +2,6 @@ NULL =
 
 SUBDIRS = src data po doc
 
-ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
-
 MAINTAINERCLEANFILES = \
        $(GITIGNORE_MAINTAINERCLEANFILES_TOPLEVEL)      \
        $(GITIGNORE_MAINTAINERCLEANFILES_MAKEFILE_IN)   \
diff --git a/autogen.sh b/autogen.sh
index 6adb14d..0f80d5d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,15 +1,37 @@
 #!/bin/sh
-srcdir=`dirname $0`
-[ -z "$srcdir" ] && srcdir=.
+# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-if [ ! -f "$srcdir/configure.ac" ]; then
- echo "$srcdir doesn't look like source directory for GNOME Disk Utility" >&2
- exit 1
-fi
+olddir=`pwd`
+
+cd $srcdir
 
-which gnome-autogen.sh || {
-       echo "You need to install gnome-common from GNOME Git"
-       exit 1
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+        exit 1
 }
 
-. gnome-autogen.sh "$@"
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** \`$0\' command line." >&2
+        echo "" >&2
+fi
+
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+cd $olddir
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index 2f4b98c..b0f97e3 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,29 +1,27 @@
 AC_INIT([GNOME Disk 
Utility],[3.17.3],[https://bugzilla.gnome.org/enter_bug.cgi?product=gnome-disk-utility],[gnome-disk-utility])
 
-AM_INIT_AUTOMAKE([1.11 foreign dist-xz no-dist-gzip tar-ustar])
+AX_IS_RELEASE([git-directory])
 
+AC_CONFIG_AUX_DIR([build-aux])
 AC_CONFIG_MACRO_DIR([m4])
 AC_CONFIG_SRCDIR([src])
 AC_CONFIG_HEADERS([config.h])
 
-AM_MAINTAINER_MODE([enable])
-AM_SILENT_RULES([yes])
-
-GNOME_DEBUG_CHECK
-
 AC_PROG_CC
 AC_HEADER_STDC
 
+AM_INIT_AUTOMAKE([1.11 foreign dist-xz no-dist-gzip tar-ustar])
+AM_MAINTAINER_MODE([enable])
+AM_SILENT_RULES([yes])
+
 LT_PREREQ([2.2])
 LT_INIT
 
-APPSTREAM_XML
-
 # ***********
 # Compilation
 # ***********
 
-GNOME_COMPILE_WARNINGS([maximum])
+AX_COMPILER_FLAGS([WARN_CFLAGS],[WARN_LDFLAGS])
 
 CC_CHECK_CFLAGS_APPEND([                          \
         -Waggregate-return                        \
@@ -123,6 +121,7 @@ PKG_CHECK_MODULES([LIBLZMA], [liblzma >= $LIBLZMA_REQUIRED])
 gsd_plugindir='${libdir}/gnome-settings-daemon-3.0'
 AC_SUBST([gsd_plugindir])
 
+AX_REQUIRE_DEFINED([GLIB_GSETTINGS])
 GLIB_GSETTINGS
 
 AC_PATH_PROG([GLIB_COMPILE_RESOURCES], [glib-compile-resources])
@@ -158,6 +157,13 @@ if test "x$enable_gsd_plugin" != "xno"; then
 fi
 AM_CONDITIONAL([USE_GSD_PLUGIN], [test "$msg_gsd_plugin" = "yes"])
 
+# *******
+# Appdata
+# *******
+
+AX_REQUIRE_DEFINED([APPSTREAM_XML])
+APPSTREAM_XML
+
 # ********************
 # Internationalization
 # ********************
@@ -167,6 +173,7 @@ if test -z "$XSLTPROC"; then
   AC_MSG_ERROR([xsltproc is needed])
 fi
 
+AX_REQUIRE_DEFINED([IT_PROG_INTLTOOL])
 IT_PROG_INTLTOOL([0.50.2])
 
 GETTEXT_PACKAGE=gnome-disk-utility
diff --git a/src/disk-image-mounter/Makefile.am b/src/disk-image-mounter/Makefile.am
index 86f0d28..9a1589b 100644
--- a/src/disk-image-mounter/Makefile.am
+++ b/src/disk-image-mounter/Makefile.am
@@ -29,6 +29,10 @@ gnome_disk_image_mounter_LDADD =                     \
         $(top_builddir)/src/libgdu/libgdu.la           \
        $(NULL)
 
+gnome_disk_image_mounter_LDFLAGS =                     \
+       $(WARN_LDFLAGS)                                 \
+       $(NULL)
+
 clean-local :
        rm -f *~
 
diff --git a/src/disks/Makefile.am b/src/disks/Makefile.am
index 16804a8..c83b6de 100644
--- a/src/disks/Makefile.am
+++ b/src/disks/Makefile.am
@@ -99,6 +99,10 @@ gnome_disks_LDADD =                                  \
         $(top_builddir)/src/libgdu/libgdu.la           \
        $(NULL)
 
+gnome_disks_LDFLAGS =                                  \
+       $(WARN_LDFLAGS)                                 \
+       $(NULL)
+
 EXTRA_DIST =                                           \
        gduenumtypes.h.template                         \
        gduenumtypes.c.template                         \
diff --git a/src/libgdu/Makefile.am b/src/libgdu/Makefile.am
index b4d5ee1..59ec738 100644
--- a/src/libgdu/Makefile.am
+++ b/src/libgdu/Makefile.am
@@ -49,6 +49,10 @@ libgdu_la_CFLAGS =                                   \
        -lm                                             \
        $(NULL)
 
+libgdu_la_LDFLAGS =                                    \
+       $(WARN_LDFLAGS)                                 \
+       $(NULL)
+
 libgdu_la_LIBADD =                                     \
        $(GLIB2_LIBS)                                   \
        $(UDISKS2_LIBS)                                 \


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]